## kdegraphics-2.2.tar.bz2

=== bsd-port/Makefile ===
# New ports collection makefile for:   kdegraphics
# Version required:    1.0
# Date created:        18 June 1998
# Whom:                Alex Zepeda <garbanzo@hooked.net>
#
# $Id: Makefile,v 1.4 1998/06/30 20:06:02 garbanzo Exp $
#
PKGNAME=	kdegraphics-`date "+%y%m%d"`
CATEGORIES=	graphics kde

MAINTAINER=	garbanzo@hooked.net

BUILD_DEPENDS=	moc:${PORTSDIR}/x11/qt \
		autoconf:${PORTSDIR}/devel/autoconf \
		automake:${PORTSDIR}/devel/automake
INSTALL_ROOT=	${.CURDIR}/${PKGNAME}
LIB_DEPENDS=	qt\\.1\\.3[0-9]:${PORTSDIR}/x11/qt133 \
		gif\\.[23]\\.:${PORTSDIR}/graphics/giflib \
		jpeg\\.9\\.:${PORTSDIR}/graphics/jpeg \
		kdecore\\.1\\.[0-9]:${PORTSDIR}/x11/kdelibs \
		kdeui\\.1\\.[0-9]:${PORTSDIR}/x11/kdelibs \
		jscript\\.1\\.[0-9]:${PORTSDIR}/x11/kdelibs \
		khtmlw\\.1\\.[0-9]:${PORTSDIR}/x11/kdelibs \
		kfm\\.1\\.[0-9]:${PORTSDIR}/x11/kdelibs \
		mediatool\\.1\.[0-9]:${PORTSDIR}/x11/kdelibs
NO_MTREE=	yup
USE_GMAKE=	"without a doubt"
NO_WRKDIR=	"Cause, you've obviously got the source in the parent directory"
WRKSRC=		../
NO_EXTRACT=	"yes, please"
HAS_CONFIGURE=	yes
CONFIGURE_ARGS=	"--prefix=$(PREFIX)" \
		"--x-inc=$(X11BASE)/include" \
		"--x-lib=$(X11BASE)/lib" \
		"--with-install-root=$(INSTALL_ROOT)" \
		"--with-extra-includes=$(PREFIX)/include/giflib"

.include "kde-snapshot.mk"
.include <bsd.port.mk>

=== debian/changelog ===
kdegraphics (4:2.2.0-final-1) unstable; urgency=low
 
  * New upstream version 2.2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 30 Jul 2001 00:01:00 -0700

kdegraphics (4:2.2.0-0.1beta1-2) unstable; urgency=low
 
  * grr...get rid of that ^H so it'll build on alpha and others
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 27 Jul 2001 23:00:00 -0700

kdegraphics (4:2.2.0-0.1beta1-1) unstable; urgency=low
 
  * sync with upstream
  * more alpha build fixes
  * gcc3 build fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 27 Jul 2001 02:02:00 -0700

kdegraphics (4:2.2.0-0beta1-3) unstable; urgency=low
 
  * sync with upstream
  * More alpha build fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 07 Jul 2001 03:42:00 -0700

kdegraphics (4:2.2.0-0beta1-2) unstable; urgency=low
 
  * sync with upstream
  * Autobuild for alpha
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 03 Jul 2001 02:20:00 -0700

kdegraphics (4:2.2.0-0beta1-1) unstable; urgency=low
 
  * sync with upstream
  * add translation (Closes: #102889)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 30 Jun 2001 19:06:00 -0700

kdegraphics (4:2.2-cvs20010622-1) unstable; urgency=low
 
  * New upstream cvs pull
  * 2.2 beta1
  * Add in Enhances: tags
  * Update build-depends:  add libsane-dev for kooka and libkscan
  * Update standards version
  * cleanup menu entries
  * New packages: libkscan1 and libkscan-dev
  * Add menu entry for kpixmap2bitmap
  * Update description (Closes: #93819)
  * Fix anchors problems (Closes: #101188)
  * pixie, minimagick and kpixmap2bitmap bits were removed
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Jun 2001 06:30:00 -0700

kdegraphics (4:2.1.1-2) unstable; urgency=low
  
  * Update menu bits to include new kde menu removal tag
  * a couple upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Apr 2001 17:32:00 -0700

kdegraphics (4:2.1.1-1.0.1) unstable; urgency=low
 
  * Building with older libc
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 26 Mar 2001 17:00:00 -0700

kdegraphics (4:2.1.1-1) unstable; urgency=low
 
  * New upstream version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Mar 2001 23:11:00 -0700

kdegraphics (4:2.1.0-1) unstable; urgency=low
 
  * New upstream CVS pull
  * Updating shlibs
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 07 Mar 2001 23:11:00 -0700

kdegraphics (4:2.1-final-1) unstable; urgency=low
 
  * New upstream version
  * Upping standards version
  * Adding in provides for pdf-viewer and postscript-viewer for 
    kghostview (Closes: #85329)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Feb 2001 02:31:00 -0700

kdegraphics (4:2.1-beta2-2) unstable; urgency=low
 
  * Adding missing gs dependency for kghostview
  * Building with --disable-debug
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 26 Jan 2001 02:31:00 -0700

kdegraphics (4:2.1-beta2-1) unstable; urgency=low
 
  * New upstream beta
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 22 Jan 2001 06:00:00 -0700

kdegraphics (4:2.1-20010115-1) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 15 Jan 2001 01:00:00 -0700

kdegraphics (4:2.1-20010109-1) unstable; urgency=low
 
  * More upstream fixes
  * breaking out kruler, kpaint and kiconedit into their own package
  * fixing libminimagick-dev's file inclusion
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 09 Jan 2001 13:14:00 -0700

kdegraphics (4:2.1-20010101-1) unstable; urgency=low
 
  * More upstream fixes
      
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 01 Jan 2001 17:15:00 -0700
       

kdegraphics (4:2.1-20001218-1) unstable; urgency=low
 
  * More upstream fixes
  * Adding in missing conflicts for kdegraphics
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Dec 2000 23:50:00 -0700

kdegraphics (4:2.1-20001213-1) unstable; urgency=low
 
  * New upstream cvs version
  * Fixing build-depends (Closes: #79473)
  * Pixie is back
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 13 Dec 2000 18:00:00 -0700

kdegraphics (4:2.0-final-7) unstable; urgency=low
 
  * Fixing task package and libminimagic-dev
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 22 Nov 2000 05:25:00 -0700

kdegraphics (4:2.0-final-6) unstable; urgency=low
 
  * More upstream fixes
  * Fixing shlibs files
  * Major cleanup of build rules
  * build-depends fixes for non x4 ports
  * adding in lintian overrides if any
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 21 Nov 2000 09:15:00 -0700

kdegraphics (4:2.0-final-5) unstable; urgency=low
 
  * More upstream fixes
  * More dependency fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 18 Nov 2000 06:30:00 -0700

kdegraphics (4:2.0-final-4.1) unstable; urgency=low
 
  * More upstream fixes
  * Adding in replaces for pixie
  * Adding in provides for postscript-viewer
  * Fixing priorities of mime types
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 10 Nov 2000 13:30:00 -0700

kdegraphics (4:2.0-final-4) unstable; urgency=low
 
  * More upstream fixes
  * Adding in menu hints
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 09 Nov 2000 22:45:00 -0700
                                                                                

kdegraphics (4:2.0-final-3.1) unstable; urgency=low
 
  * Fixing kview's bmp mime entry (Closes: #72831)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 07 Nov 2000 00:30:00 -0700
                                                                                

kdegraphics (4:2.0-final-3) unstable; urgency=low
 
  * More upstream fixes
  * building against new xlibs
  * more mime work
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 04 Nov 2000 23:00:00 -0700
                                                                                

kdegraphics (4:2.0-final-2) unstable; urgency=low
 
  * More upstream fixes
  * Fixing mime entries
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 02 Nov 2000 18:00:00 -0700


=== debian/control ===
Source: kdegraphics
Build-Depends: autoconf2.13, automake, libtool, debhelper (>> 3.0.0), kdelibs-dev (>= 4:2.2.0-final-1), tetex-bin, libkpathsea-dev, libsane-dev, g++-3.0 [alpha], gcc-3.0 [alpha]
Section: graphics
Priority: optional
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Standards-Version: 3.5.5

Package: kfract
Architecture: any
Section: graphics
Replaces: kdegraphics
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: fractal generator for KDE
 Kfract is a generator for fractals. Well, at this early stage it's only 
 capable of mandelbrot sets and julia sets. Nothing fancy like Xfractint. 
 And it's way far from being as fast as Xfractint. But it's much easier to use.

Package: kruler
Architecture: any
Section: graphics
Replaces: kdegraphics, kfract (<= 4:2.1-20010101-1)
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: a screen ruler and color measurement tool for KDE
 Kruler is a screen ruler and color measurement tool for KDE.

Package: kcoloredit
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: An editor for palette files
 This is a color palette editor for KDE.

Package: kpaint
Architecture: any
Section: graphics
Replaces: kdegraphics, kfract (<= 4:2.1-20010101-1)
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: A Simple Paint Program for KDE
 KPaint is a very simple paint program for KDE.

Package: kiconedit
Architecture: any
Section: graphics
Replaces: kdegraphics, kfract (<= 4:2.1-20010101-1)
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: An icon editor for creating KDE icons
 KIconedit is an icon editor for creating KDE and other icons

Package: kghostview
Architecture: any
Section: graphics
Replaces: kdegraphics
Depends: ${shlibs:Depends}, gs
Recommends: kdebase-libs
Enhances: kdebase
Suggests: gv
Provides: postscript-viewer, pdf-viewer
Description: PostScript viewer for KDE.
 KGhostview is the PostScript viewer for the K Desktop Environment. It is a 
 port of Tim Theisen's Ghostview program which is used to view documents 
 prepared in Adobe's PostScript page description language. PostScript is the 
 major page description language for printing on UNIX systems and this 
 application is used to preview material intended for printing or for reading 
 documents online.

Package: ksnapshot
Architecture: any
Section: graphics
Replaces: kdegraphics
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: Screenshot application for KDE
 KSnapshot is a simple applet for taking screenshots. It is capable of 
 capturing images of either the whole desktop or just a single window. 
 The images can then be saved in a variety of formats.

Package: kview
Architecture: any
Section: graphics
Replaces: kdegraphics
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: A simple image viewer/converter for KDE.
 KView is a simple image viewer/converter application. This package contains
 kview, kdvi, and kfax.

Package: libkscan1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Enhances: kdebase
Description: Scanner library for KDE
 KScan is KDE's Scanner Library. It's used by kooka and by koffice currently.
 It provides an easy-to-use library, which allows you to acces your scanner
 (camera - as long as it's sane compatible).

Package: libkscan-dev
Architecture: any
Section: devel
Depends: libkscan1 (= ${Source-Version}), libc6-dev, gettext, kdelibs-dev
Description: Scanner library for KDE (development files)
 This package contains development files for KDE's Scanner Library.

Package: kooka
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}, debconf
Enhances: kdebase
Description: Scanner program for KDE2
 Kooka is a scanner program based on SANE and KScan library.
 .
 ***WARNING*** Not completely ready yet.  Please read the WARNING file
 in /usr/share/doc/kooka

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
#export DH_VERBOSE=1
 
# This is the debhelper compatability version to use.
export DH_COMPAT=3
tmp = $(shell pwd)/debian/kfract
ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(ARCH),alpha)
  COMPILER_FLAGS=CXX=g++-3.0 CC=gcc-3.0 CFLAGS=-mieee CXXFLAGS=-mieee
else
  COMPILER_FLAGS=CXX=g++ CC=gcc
endif
ifeq ($(ARCH),hppa)
  XINERAMA=
else
  XINERAMA=--with-xinerama
endif
ifeq ($(ARCH),i386)
  OBJPRELINK=--enable-objprelink
endif

build: build-stamp

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi 
	$(COMPILER_FLAGS) \
	./configure $(configkde) --with-system-kpathsea $(XINERAMA) \
	  --libdir=$(kde_libdir) --includedir=$(kde_includedir) $(OBJPRELINK)

	$(MAKE)

	touch build-stamp

clean: debian-clean
	dh_clean

debian-clean:
	dh_testdir
	-rm -f debian/debiandirs
	if test -d CVS; then \
	  $(MAKE) -f admin/Makefile.common cvs-clean ;\
	fi
	-$(MAKE) distclean

binary-indep:	 build
	dh_testroot
	dh_testdir

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a
	$(MAKE) DESTDIR=$(tmp)/ install 
	cp debian/*.override $(tmp)/usr/share/lintian/overrides/
	for i in `ls $(tmp)/usr/share/lintian/overrides/`; do \
		mv $(tmp)/usr/share/lintian/overrides/$$i $(tmp)/usr/share/lintian/overrides/`echo $$i | sed -e 's#.override##'`; \
	done
	for i in `find debian/ -type l -name "common"`; do \
		rm $$i ;\
		ln -s ../common $$i ;\
	done
	dh_undocumented
	dh_installman -a
	dh_movefiles -a --sourcedir=debian/kfract
	dh_installdebconf -a
	dh_installdocs -a
	dh_installmenu -a
	dh_installmime -a
	dh_installchangelogs -pkcoloredit
	dh_installchangelogs -plibkscan1
	dh_installchangelogs -plibkscan-dev
	dh_installchangelogs -pkooka kooka/CHANGES
	dh_installchangelogs -pkview kdvi/ChangeLog
	dh_installchangelogs -pkfract kfract/ChangeLog
	dh_installchangelogs -pkghostview kghostview/ChangeLog
	dh_installchangelogs -pksnapshot
	dh_installchangelogs -pkruler
	dh_installchangelogs -pkpaint kpaint/CHANGES
	dh_installchangelogs -pkiconedit
	dh_strip -a
	dh_compress -a -X.docbook
	dh_fixperms -a
	dh_perl -a
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_shlibdeps -a -l`pwd`/debian/kview/usr/lib:`pwd`/debian/kghostview/usr/lib:`pwd`/debian/libkscan1/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
